#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	File
%define		pnam	Rsync
Summary:	File::Rsync - a wrapper module for rsync
Summary(pl.UTF-8):	File::Rsync - wrapper dla programu rsync
Name:		perl-File-Rsync
Version:	0.49
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3929283d5391b6599799072c34a9e93e
URL:		https://metacpan.org/release/File-Rsync
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-IPC-Run3
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-Test-Simple
BuildRequires:	rsync
%endif
Requires:	rsync
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Rsync is a Perl wrapper for the rsync program.

%description -l pl.UTF-8
File::Rsync jest wrapperem w Perlu dla programu rsync.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%{perl_vendorlib}/File/Rsync.pm
%{_mandir}/man3/File::Rsync.3pm*
%changelog
* Sun Mar 14 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-Rsync.git;a=log;h=master

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 7fee857
- updated to 0.49

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0541fff
- drop obsolete and outdated manual inclusion of rpm macros

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> 4f9a682
- updated to 0.43

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> e06ad4c
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e744dd6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f8f5ff7
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 92ca178
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> 693a9e0
- fixes to make rpm/spec happy

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> 3b2b4aa
- updated to 0.42 rel 0.1

* Thu May 19 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 3ce48e5
- updated to 0.38

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 21980e7
- updated to 0.35

* Wed Dec 01 2004 radek <radek@pld-linux.org> 04c1703
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a2648f4
- formatting

* Sat Aug 21 2004 Adam Gołębiowski <adamg@pld-linux.org> 8f771a9
- updated to 0.34

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 41c21e7
- updated to 0.33

* Mon Aug 02 2004 ankry <ankry@pld-linux.org> 7260298
- added missing dir, rel. 2

* Sat Jun 05 2004 radek <radek@pld-linux.org> bb28168
- massive: unfold macros in name/summary & other unifications

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> a2bb772
- license fixes / unification

* Thu Jan 01 2004 pius <pius@pld-linux.org> ded9ed7
- added missing md5 sum

* Thu Jan 01 2004 pius <pius@pld-linux.org> c4c05fe
- initial release

